| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
Digikam::FaceScanWidget Class Reference
Inheritance diagram for Digikam::FaceScanWidget:

## Public Member Functions
| FaceScanWidget (QWidget *const parent=nullptr)
FaceScanSettings | settings () const
bool | settingsConflicted () const
Public Member Functions inherited from Digikam::StateSavingObject
| StateSavingObject (QObject *const host)
| Constructor.
virtual | ~StateSavingObject ()
| Destructor.
StateSavingDepth | getStateSavingDepth () const
| Returns the depth used for state saving or loading.
void | loadState ()
| Invokes loading the class' state.
void | saveState ()
| Invokes saving the class' state.
virtual void | setConfigGroup (const KConfigGroup &group)
| Sets a dedicated config group that will be used to store and reload the state from.
virtual void | setEntryPrefix (const QString &prefix)
| Define a prefix that will be used for every entry in the config group.
void | setStateSavingDepth (const StateSavingDepth depth)
| Sets the depth used for state saving or loading.

## Protected Member Functions
void | doLoadState () override
| Implement this hook method for state loading.
void | doSaveState () override
| Implement this hook method for state saving.
Protected Member Functions inherited from Digikam::StateSavingObject
QString | entryName (const QString &base) const
| Always use this method to create config group entry names.
KConfigGroup | getConfigGroup () const
| Returns the config group that must be used for state saving and loading.

## Additional Inherited Members
Public Types inherited from Digikam::StateSavingObject
enum | StateSavingDepth { INSTANCE , DIRECT_CHILDREN , RECURSIVE }
| This enum defines the "depth" of the StateSavingObject::loadState() and StateSavingObject::saveState() methods. More...

## Member Function Documentation

## ◆ doLoadState()

void Digikam::FaceScanWidget::doLoadState | ( |  | ) |
| override protected virtual

Use getConfigGroup() and entryName() for the implementation.

ClearAll isn't a valid value anymore so set it Rescan. ClearAll is only used by ResetFacesDb in maintenance.

Implements Digikam::StateSavingObject.

## ◆ doSaveState()

void Digikam::FaceScanWidget::doSaveState | ( |  | ) |
| override protected virtual

Use getConfigGroup() and entryName() for the implementation.

Implements Digikam::StateSavingObject.